Get schedule
curl --request GET \
--url https://scheduler.studio.lyzr.ai/schedules/{schedule_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://scheduler.studio.lyzr.ai/schedules/{schedule_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scheduler.studio.lyzr.ai/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "66f1c2a9e4b0a1b2c3d4e5f6",
"user_id": "user@example.com",
"agent_id": "66e9b0f2a1c3d4e5f6a7b8c9",
"message": "Summarize yesterday's support tickets and flag anything urgent.",
"cron_expression": "0 9 * * 1-5",
"timezone": "Asia/Kolkata",
"created_at": "2023-11-07T05:31:56Z",
"max_retries": 3,
"retry_delay": 60,
"is_active": true,
"updated_at": "2023-11-07T05:31:56Z",
"next_run_time": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_success": true
}Schedules
Get Schedule
Get one agent schedule.
GET
/
schedules
/
{schedule_id}
Get schedule
Authorizations
Lyzr API key. Required on every endpoint except Trigger Webhook.
Path Parameters
ID of the schedule.
Example:
"66f1c2a9e4b0a1b2c3d4e5f6"
Response
The schedule.
Unique schedule ID.
Example:
"66f1c2a9e4b0a1b2c3d4e5f6"
Example:
"user@example.com"
Example:
"66e9b0f2a1c3d4e5f6a7b8c9"
Example:
"Summarize yesterday's support tickets and flag anything urgent."
Example:
"0 9 * * 1-5"
Example:
"Asia/Kolkata"
false when the schedule is paused.
When the schedule will next fire. null while paused.
Outcome of the most recent run. null if the schedule has never run.